from scrapy.conf import settings
from utils.Singleton import Singleton
import MySQLdb as sql


class AltConnector(Singleton):
    __connection = None

    @staticmethod
    def get_connection():
        if not AltConnector.__connection:
            AltConnector.__connection = sql.connect(
                settings['DB_HOST'],
                settings['DB_USERNAME'],
                settings['DB_PASSWORD'],
                settings['DB_DATABASE'],
                charset='utf8',
                port=settings['DB_PORT']
            )
        return AltConnector.__connection
